[project]
name = "savcfg"
version = "0.4.5"
description = "ConfigService implementation for SAVIA software projects"
authors = [
    {name = "Salvador Ruiz",email = "sruiz@gruposavia.eu"}
]
readme = "README.md"
requires-python = ">=3.13"
dependencies = [
    "azure-identity>=1.25.1",
    "azure-keyvault-secrets>=4.10.0",
]

[build-system]
requires = ["hatchling"]          # uv will pick any backend, hatchling is the lightest
build-backend = "hatchling.build"

[tool.hatch.build.targets.wheel]
packages = ["savcfg"]     # ← this line is the important one

[dependency-groups]
dev = [
    "ipython>=9.7.0",
    "pytest>=9.0.1",
    "pytest-asyncio>=1.3.0",
    "pytest-cov>=7.0.0",
]

[tool.pytest.ini_options]
minversion = "6.0"
addopts = "-ra -q"
testpaths = [
    "tests"
]
python_files = "test_* feat_*"
python_classes = "A_* An_* UseCase_* Test*"
python_functions = "should_* scenario_* test_*"
markers = [
    "integration: tests comunication to simulated external systems(devel mode)",
    "acceptance: test application layer as external user",
    "skip_publish: Skip publishing coverage data"
]
asyncio_mode = "auto"

[tool.commitizen]
name = "cz_conventional_commits"
bump_message = "bump: version $current_version → $new_version [skip ci]"
tag_format = "v$version"
version_scheme = "pep440"
version_provider = "pep621"
update_changelog_on_bump = true
